Static Public Member Functions | List of all members
clan::LineMath Class Reference
clanCore Math

Math operations on 2D lines. More...

`#include <line_math.h>`

## Static Public Member Functions
static Pointf | closest_point (const Pointf &P, const Pointf &A, const Pointf &B)
| Return the Point on the line from A to B closest to point P. More...
static float | closest_point_relative (const Pointf &P, const Pointf &A, const Pointf &B)
| Return the relative position (0-1) of the point R on the line from A to B closest to point P. More...
static Pointf | midpoint (const Pointf &A, const Pointf &B)
| Return the midpoint of the line from point A to point B. More...
static float | point_right_of_line (float x, float y, float *line)
| Return [<0, 0, >0] if the Point P is right, on or left of the line trough A,B. More...
static float | point_right_of_line (float x, float y, float line_x1, float line_y1, float line_x2, float line_y2)
| Point right of line. More...
static float | point_right_of_line (const Pointf &A, const Pointf &B, const Pointf &P)
| Point right of line. More...

## Detailed Description

Math operations on 2D lines.

Obsolete - Use Line, LineRay, LineSegment

The documentation for this class was generated from the following file:

- line_math.h